Index: trunk/listAdmin/docs/manageheader.php
===================================================================
--- trunk/listAdmin/docs/manageheader.php	(revision 5912)
+++ trunk/listAdmin/docs/manageheader.php	(revision 7655)
@@ -504,5 +504,5 @@
 				);
 
-				for($i=0; $i<30; $i++)
+				for($i=0; $i<30; ++$i)
 				{
 					$GLOBALS['phpgw_info']['server']['mcrypt_iv'] .= $random_char[rand(1,count($random_char))];
Index: trunk/listAdmin/controller.php
===================================================================
--- trunk/listAdmin/controller.php	(revision 3514)
+++ trunk/listAdmin/controller.php	(revision 7655)
@@ -15,5 +15,5 @@
  			$count_files = $_POST['countFiles'];
 			$array_files = array(); 		
- 			for($idx = 1; $idx <= $count_files; $idx++) { 		
+ 			for($idx = 1; $idx <= $count_files; ++$idx) {
  				if($_FILES['file_'.$idx] && !$_FILES['file_'.$idx]['error'])
  					$array_files[] = $_FILES['file_'.$idx]; 					 
Index: trunk/listAdmin/inc/class.db_functions.inc.php
===================================================================
--- trunk/listAdmin/inc/class.db_functions.inc.php	(revision 3514)
+++ trunk/listAdmin/inc/class.db_functions.inc.php	(revision 7655)
@@ -283,5 +283,5 @@
 			$user_app[] = $this->db->row();
 		
-		for ($i=0; $i<count($user_app); $i++)
+		for ($i=0; $i<count($user_app); ++$i)
 			$return['groups'][] = $user_app[$i]['acl_location'];
 		
@@ -505,5 +505,5 @@
 			$serverList[$i]['imapsieveserver']	= $this->db->f(2);
 			$serverList[$i]['imapsieveport']	= $this->db->f(3);
-			$i++;
+			++$i;
 		}
 		
@@ -587,5 +587,5 @@
 			$users_ldap[$i]['cn']        		= $this->db->f(3);
 			$users_ldap[$i]['mail']        		= $this->db->f(5);
-			$i++;
+			++$i;
 			}	     
 		return $users_ldap;
Index: trunk/listAdmin/inc/class.functions.inc.php
===================================================================
--- trunk/listAdmin/inc/class.functions.inc.php	(revision 6057)
+++ trunk/listAdmin/inc/class.functions.inc.php	(revision 7655)
@@ -242,5 +242,5 @@
 				$i = 0;
 				$tmp = array();
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$i]['uid'] 		= $info[$i]['uid'][0];
@@ -271,5 +271,5 @@
 				$tmp = array();
 				$ldap_found=false;
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 					{
 					$tmp[$i][account_id]			= $info[$i]['uidnumber'][0]; 
@@ -338,5 +338,5 @@
 				$i = 0;
 				$tmp = array();
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$i][cn] 			= $info[$i][cn][0];
@@ -363,5 +363,5 @@
 				$i = 0;
 				$tmp = array();
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$i]['uid'] 		= $info[$i]['uid'][0];
@@ -381,5 +381,5 @@
 				ldap_close($ldap_conn);
 				$tmp = array();
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$i]['cn'] 			= $info[$i]['cn'][0];
@@ -416,5 +416,5 @@
 				{
 					$sector_space = '';
-					for ($i=1; $i < $sector->sector_level; $i++)
+					for ($i=1; $i < $sector->sector_level; ++$i)
 						$sector_space = '---'.$sector_space;
 					$sector->sector_name = $sector_space.' '.$sector->sector_name;
@@ -452,5 +452,5 @@
 
 			// Retiro o count do array info e inverto o array para ordenaï¿œï¿œo.
-	        for ($i=0; $i<$info["count"]; $i++)
+	        for ($i=0; $i<$info["count"]; ++$i)
     	    {
 				$dn = $info[$i]["dn"];
@@ -486,5 +486,5 @@
                         $display .= '+';
                 else {
-                        for ($i=0; $i<$level; $i++)
+                        for ($i=0; $i<$level; ++$i)
                                 $display .= '---';
                 }
@@ -567,5 +567,5 @@
 				ldap_sort($connection, $search, "ou");
 				$info = ldap_get_entries($connection, $search);
-				for ($i=0; $i<$info["count"]; $i++)
+				for ($i=0; $i<$info["count"]; ++$i)
 				{
 					$this->level++;
@@ -607,5 +607,5 @@
 
 			// Retiro o count do array info e inverto o array para ordenaï¿œï¿œo.
-	        for ($i=0; $i<$info["count"]; $i++)
+	        for ($i=0; $i<$info["count"]; ++$i)
     	    {
 				$dn = $info[$i]["dn"];
@@ -644,5 +644,5 @@
                 else 
                 {
-					for ($i=0; $i<$level; $i++)
+					for ($i=0; $i<$level; ++$i)
 						$display .= '---';
                 }
@@ -793,5 +793,5 @@
 					$applications_list .= sprintf('<tr bgcolor="%s">%s%s%s</tr>','#DDDDDD', $app_col1, $app_col2, $app_col3);					
 				}
-				$i++;
+				++$i;
 			}
 			return $applications_list;
Index: trunk/listAdmin/inc/class.ldap_functions.inc.php
===================================================================
--- trunk/listAdmin/inc/class.ldap_functions.inc.php	(revision 3514)
+++ trunk/listAdmin/inc/class.ldap_functions.inc.php	(revision 7655)
@@ -215,5 +215,5 @@
     	$entries = ldap_get_entries($this->ldap, $groups_list);
     	
-		for ($i=0; $i<$entries["count"]; $i++){
+		for ($i=0; $i<$entries["count"]; ++$i){
 			$u_tmp[$entries[$i]["uidnumber"][0]] = $entries[$i]["cn"][0];
 		}
@@ -266,5 +266,5 @@
 		
 		$lists_entries = ldap_get_entries($this->ldap, $lists_search);
-		for ($i=0; $i<$lists_entries["count"]; $i++)
+		for ($i=0; $i<$lists_entries["count"]; ++$i)
 		{
 			$l_tmp[$lists_entries[$i]["uidnumber"][0]] = $lists_entries[$i]["cn"][0];
@@ -288,5 +288,5 @@
 		
 		$users_entries = ldap_get_entries($this->ldap, $users_search);
-		for ($i=0; $i<$users_entries["count"]; $i++)
+		for ($i=0; $i<$users_entries["count"]; ++$i)
 		{
 			$u_tmp[$users_entries[$i]["uidnumber"][0]] = $users_entries[$i]["cn"][0];
@@ -336,5 +336,5 @@
 		
 		$users_entries = ldap_get_entries($this->ldap, $users_search);
-		for ($i=0; $i<$users_entries["count"]; $i++)
+		for ($i=0; $i<$users_entries["count"]; ++$i)
 		{
 			$u_tmp[$users_entries[$i]["uidnumber"][0]] = $users_entries[$i]["cn"][0];
@@ -371,5 +371,5 @@
 		$entry = ldap_get_entries($this->ldap, $search);
 		$i = 0;
-		for($i = 0; $i <= $entry[0]['memberuid']['count']; $i++)
+		for($i = 0; $i <= $entry[0]['memberuid']['count']; ++$i)
 		{
 			if($entry[0]['memberuid'][$i] == $uid)
@@ -416,5 +416,5 @@
 
 		$users_entries = ldap_get_entries($this->ldap, $users_search);
-		for ($i=0; $i<$users_entries["count"]; $i++)
+		for ($i=0; $i<$users_entries["count"]; ++$i)
 		{
 				$u_tmp[$users_entries[$i]["uidnumber"][0]] = $users_entries[$i]["cn"][0] . " [" .$users_entries[$i]["mail"][0] . "]";
@@ -454,5 +454,5 @@
     	$entries = ldap_get_entries($this->ldap, $groups_list);
 	$options = '';
-	for ($i=0; $i<$entries['count']; $i++)
+	for ($i=0; $i<$entries['count']; ++$i)
 		{
 		$options .= "<option value=" . $entries[$i]['gidnumber'][0] . ">" . $entries[$i]['cn'][0] . "</option>";
@@ -471,5 +471,5 @@
     	
 		$options = '';			
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
 			$options .= "<option value=" . $entries[$i]['uidnumber'][0] . ">" . $entries[$i]['uid'][0] . " </option>";
@@ -715,5 +715,5 @@
 		$entries = ldap_get_entries($this->ldap_write, $search);
 		$result['status'] = true;
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
 			$attrs['mailforwardingaddress'] = $old_mail;
@@ -746,5 +746,5 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); $i++)
+		for($i=1; $i<count($sector_dn_array); ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -790,5 +790,5 @@
 		
 		// Samba
-		for ($i=0; $i<$entry[0]['objectclass']['count']; $i++)
+		for ($i=0; $i<$entry[0]['objectclass']['count']; ++$i)
 		{
 			if ($entry[0]['objectclass'][$i] == 'sambaSamAccount')
@@ -812,5 +812,5 @@
     	$entries = ldap_get_entries($this->ldap, $search);
 
-    	for ($i=0; $i<$entries['count']; $i++)
+    	for ($i=0; $i<$entries['count']; ++$i)
     	{
     		$result['maillists_info'][$i]['uidnumber'] = $entries[$i]['uidnumber'][0];
@@ -826,5 +826,5 @@
     	ldap_sort($this->ldap, $search, "cn");
     	$entries = ldap_get_entries($this->ldap, $search);
-    	for ($i=0; $i<$entries['count']; $i++)
+    	for ($i=0; $i<$entries['count']; ++$i)
     	{
     		$result['groups_ldap'][ $entries[$i]['gidnumber'][0] ] = $entries[$i]['cn'][0];
@@ -844,5 +844,5 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); $i++)
+		for($i=1; $i<count($sector_dn_array); ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -857,5 +857,5 @@
 		
 		//MemberUid
-		for ($i=0; $i<$entry[0]['memberuid']['count']; $i++)
+		for ($i=0; $i<$entry[0]['memberuid']['count']; ++$i)
 		{
 			$justthese = array("cn","uid","uidnumber");
@@ -863,8 +863,8 @@
 			// Montagem dinamica do filtro
 			$filter="(&(phpgwAccountType=u)(|";
-			for ($k=0; (($k<10) && ($i<$entry[0]['memberuid']['count'])); $k++)
+			for ($k=0; (($k<10) && ($i<$entry[0]['memberuid']['count'])); ++$k)
 			{
 				$filter .= "(uid=".$entry[0]['memberuid'][$i].")";
-				$i++;
+				++$i;
 			}
 			$i--;
@@ -874,5 +874,5 @@
 			$user_entry = ldap_get_entries($this->ldap, $search);
 
-			for ($j=0; $j<$user_entry['count']; $j++)
+			for ($j=0; $j<$user_entry['count']; ++$j)
 			{
 				$result['memberuid_info'][$user_entry[$j]['uid'][0]]['cn'] = $user_entry[$j]['cn'][0];
@@ -903,5 +903,5 @@
 		
 		// Samba
-		for ($i=0; $i<$entry[0]['objectclass']['count']; $i++)
+		for ($i=0; $i<$entry[0]['objectclass']['count']; ++$i)
 		{
 			if ($entry[0]['objectclass'][$i] == 'sambaGroupMapping')
@@ -925,5 +925,5 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); $i++)
+		for($i=1; $i<count($sector_dn_array); ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -944,5 +944,5 @@
 			
 		//Members
-		for ($i=0; $i<$entry[0]['mailforwardingaddress']['count']; $i++)
+		for ($i=0; $i<$entry[0]['mailforwardingaddress']['count']; ++$i)
 		{
 			$justthese = array("cn", "uidnumber", "uid", "phpgwaccounttype", "mail");
@@ -950,8 +950,8 @@
 			// Montagem dinamica do filtro
 			$filter="(&(|(phpgwAccountType=u)(phpgwAccountType=l))(|";
-			for ($k=0; (($k<10) && ($i<$entry[0]['mailforwardingaddress']['count'])); $k++)
+			for ($k=0; (($k<10) && ($i<$entry[0]['mailforwardingaddress']['count'])); ++$k)
 			{
 				$filter .= "(mail=".$entry[0]['mailforwardingaddress'][$i].")";
-				$i++;
+				++$i;
 			}
 			$i--;
@@ -961,5 +961,5 @@
 			$user_entry = ldap_get_entries($this->ldap, $search);
 				
-			for ($j=0; $j<$user_entry['count']; $j++)
+			for ($j=0; $j<$user_entry['count']; ++$j)
 			{
 				$result['members_info'][$user_entry[$j]['uidnumber'][0]]['uid'] = $user_entry[$j]['uid'][0];
@@ -1006,5 +1006,5 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); $i++)
+		for($i=1; $i<count($sector_dn_array); ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -1023,5 +1023,5 @@
 
 		//Members
-		for ($i=0; $i<$entry[0]['admlista']['count']; $i++)
+		for ($i=0; $i<$entry[0]['admlista']['count']; ++$i)
 		{
 			$justthese = array("cn", "uidnumber", "uid", "phpgwaccounttype", "mail", "admlista");
@@ -1029,8 +1029,8 @@
 			// Montagem dinamica do filtro
 			$filter="(&(|(phpgwAccountType=u)(phpgwAccountType=l))(|";
-			for ($k=0; (($k<10) && ($i<$entry[0]['admlista']['count'])); $k++)
+			for ($k=0; (($k<10) && ($i<$entry[0]['admlista']['count'])); ++$k)
 			{
 				$filter .= "(mail=".$entry[0]['admlista'][$i].")";
-				$i++;
+				++$i;
 			}
 			$i--;
@@ -1040,5 +1040,5 @@
 			$user_entry = ldap_get_entries($this->ldap, $search);
 				
-			for ($j=0; $j<$user_entry['count']; $j++)
+			for ($j=0; $j<$user_entry['count']; ++$j)
 			{
 				$result['members_info'][$user_entry[$j]['uidnumber'][0]]['uid'] = $user_entry[$j]['uid'][0];
@@ -1086,5 +1086,5 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); $i++)
+		for($i=1; $i<count($sector_dn_array); ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -1105,8 +1105,8 @@
 		
 		//Senders
-		//for ($i=0; $i<$entry[0]['mailsenderaddress']['count']; $i++)
+		//for ($i=0; $i<$entry[0]['mailsenderaddress']['count']; ++$i)
 		//Recupera a relacao de usuario nao moderados no Mailman (podem enviar e-mails para uma lista de e-mail sem precisar da
 		//autorizacao do moderador;
-		for ($i=0; $i<$entry[0]['naomoderado']['count']; $i++)
+		for ($i=0; $i<$entry[0]['naomoderado']['count']; ++$i)
 		{
 			$justthese = array("cn", "uidnumber", "uid", "mail");
@@ -1161,5 +1161,5 @@
 					$result['groups_info'][$i]['group_disabled'] = 'false';
 				
-				$i++;
+				++$i;
 			}
 		}
@@ -1421,5 +1421,5 @@
 
 		$parent = array();
-		for ($j=1; $j<(count($explode_dn)-1); $j++)
+		for ($j=1; $j<(count($explode_dn)-1); ++$j)
 			$parent[] = $explode_dn[$j];
 		$parent = implode(",", $parent);
@@ -1441,5 +1441,5 @@
     	$array_mod_del['memberUid'] = $uid;
 
-	    for ($i=0; $i<=$entry['count']; $i++)
+	    for ($i=0; $i<=$entry['count']; ++$i)
 	    {
 	    	$dn = $entry[$i]['dn'];
@@ -1464,5 +1464,5 @@
 
 		$parent = array();
-		for ($j=1; $j<(count($explode_dn)-1); $j++)
+		for ($j=1; $j<(count($explode_dn)-1); ++$j)
 			$parent[] = $explode_dn[$j];
 		$parent = implode(",", $parent);
@@ -1487,5 +1487,5 @@
 	    $entry = ldap_get_entries($this->ldap, $search);
 		
-	    for ($i=0; $i<=$entry['count']; $i++)
+	    for ($i=0; $i<=$entry['count']; ++$i)
 	    {
 	    	$dn = strtolower($entry[$i]['dn']);
@@ -1513,5 +1513,5 @@
 	    $entry = ldap_get_entries($this->ldap, $search);
 		
-	    for ($i=0; $i<$entry['count']; $i++)
+	    for ($i=0; $i<$entry['count']; ++$i)
 	    {
 			$return['sambaDomains'][$i]['samba_domain_sid'] = $entry[$i]['sambasid'][0];
@@ -1569,5 +1569,5 @@
 	    $entry = ldap_get_entries($this->ldap_write, $search);
 	    
-   	    for ($i=0; $i<$entry['count']; $i++)
+   	    for ($i=0; $i<$entry['count']; ++$i)
 	    {
 			$return['sambaDomains'][$i] = $entry[$i]['sambadomainname'][0];
@@ -1630,5 +1630,5 @@
 		$key='expresso-livre';
 		$result = '';
-		for($i=1; $i<=strlen($string); $i++)
+		for($i=1; $i<=strlen($string); ++$i)
 		{
 			$char = substr($string, $i-1, 1);
Index: trunk/listAdmin/inc/sieve-php.lib.php
===================================================================
--- trunk/listAdmin/inc/sieve-php.lib.php	(revision 6057)
+++ trunk/listAdmin/inc/sieve-php.lib.php	(revision 7655)
@@ -285,5 +285,5 @@
       $index = 0;
 
-      for($ptr = 0; $ptr < strlen($string); $ptr++){
+      for($ptr = 0; $ptr < strlen($string); ++$ptr){
           if($string[$ptr] == '"' and $string[$ptr] != '\\'){
               if($start == -1){
